Package de.willuhn.jameica.hbci.messaging

# Class ObjectDeletedMessage

java.lang.Object
de.willuhn.jameica.hbci.messaging.ObjectMessage
de.willuhn.jameica.hbci.messaging.ObjectDeletedMessage

All Implemented Interfaces:
  `de.willuhn.jameica.messaging.Message`

public class ObjectDeletedMessage extends ObjectMessage
Kann versendet werden, wenn ein Objekt geloescht wurde.

## Constructor Summary

Constructors
Constructor
Description
`ObjectDeletedMessage(de.willuhn.datasource.GenericObject object, String id)`
ct.

## Method Summary

Modifier and Type
Method
Description
`String`
`getID()`
Liefert die ID, die das gelöschte Objekt hatte.

### Methods inherited from class de.willuhn.jameica.hbci.messaging.ObjectMessage

`getObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectDeletedMessage

public ObjectDeletedMessage(de.willuhn.datasource.GenericObject object, String id)
ct.

Parameters:
  `object` -
  `id` - die ID, die das Objekt hatte.

## Method Details

### getID

public String getID()
Liefert die ID, die das gelöschte Objekt hatte.

Returns:
  die ID, die das gelöschte Objekt hatte.